=== debian/changelog ===
mathgl (2.3.4-1build2) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:36:53 +0000

mathgl (2.3.4-1build1) yakkety; urgency=medium

  * Rebuild against liboctave3v5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 May 2016 16:27:01 +0200

mathgl (2.3.4-1) unstable; urgency=medium

  * Imported Upstream version 2.3.4
  * Disable C++11 features

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 20 Feb 2016 13:34:52 +0200
